﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MBCSelector.ascx.cs" Inherits="eQuipCloud.WardUser.Module.MBCSelector" %>


<style>
    .modal-footer {
        padding: 0;
    }

        .modal-footer .btn-group button {
            height: 40px;
            border-top-left-radius: 0;
            border-top-right-radius: 0;
            border: none;
            border-right: 1px solid #ddd;
        }

        .modal-footer .btn-group:last-child > button {
            border-right: 0;
        }
</style>

<script>
    var modelDD;
    var brandDD;
    var categoryDD;

    var pageLoadMBCData = [];

    $(document).ready(function () {

        modelDD = $('#<%=modelSelectDD.ClientID%>');
        brandDD = $('#<%=brandSelectDD.ClientID%>');
        categoryDD = $('#<%=categorySelectDD.ClientID%>');

        pageLoadMBCData.push($(modelDD).val());
        pageLoadMBCData.push($(brandDD).val());
        pageLoadMBCData.push($(categoryDD).val());

        UpdateMBCUsingModalData();
        
        //model Select
        $(modelDD).on('select2:select', function (evt) {
            $(brandDD).attr("disabled", true);
            $(categoryDD).attr("disabled", true);
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdatePageData",
                data: '{partCode: "' + $(modelDD).val() + '" }',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateBrandCategoryDropDownData
            });
        });
        $(modelDD).on('select2:unselect', function (evt) {
            ClearMBCDD();
        });

        //brand Select
        $(brandDD).on('select2:select', function (evt) {
            UpdateModelDD();
        });
        $(brandDD).on('select2:unselect', function (evt) {
            $(brandDD).val("").trigger('change');
            UpdateModelDD();
        });
        
        //category Select
        $(categoryDD).on('select2:select', function (evt) {
            UpdateModelDD();
        });
        $(categoryDD).on('select2:unselect', function (evt) {
            $(categoryDD).val("").trigger('change');
            UpdateModelDD();
        });
    });


    function UpdateModelDD() {
        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateModelDropDownData",
            data: JSON.stringify({ brandCode: $(brandDD).val(), categoryCode: $(categoryDD).val() }),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateModelDropDownData
        }); 
    }

    function UpdatebrandDropDownData(response) {
        $(modelDD).empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $(modelDD).append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }

    function UpdateBrandCategoryDropDownData(response) {
        if (response.d) {
            if (response.d[0]) {
                $(brandDD).val(response.d[0]).trigger('change');
            }
            else {
                $(brandDD).val("").trigger('change');
                $(brandDD).attr("disabled", false);
            }
            if (response.d[1]) {
                $(categoryDD).val(response.d[1]).trigger('change');
            }
            else {
                $(categoryDD).val("").trigger('change');
                $(categoryDD).attr("disabled", false);
            }
        }
        else {
            $(brandDD).val("").trigger('change');
            $(categoryDD).val("").trigger('change');
        }
    }

    function ClearMBCDD() {
        $(modelDD).attr("disabled", false);
        $(brandDD).attr("disabled", false);
        $(categoryDD).attr("disabled", false);
        $(modelDD).val("").trigger('change');

        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdatePageData",
            data: '{partCode: "' + "" + '" }',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateBrandCategoryDropDownData
        });     
    }

    function OpenMBCModal() {
        $(modelDD).val(pageLoadMBCData[0]).trigger('change');
        $(brandDD).val(pageLoadMBCData[1]).trigger('change');
        $(categoryDD).val(pageLoadMBCData[2]).trigger('change');

        if ($(modelDD).val()) {
            $(brandDD).attr("disabled", true);
            $(categoryDD).attr("disabled", true);
        }

        $("#MBCModal").modal();
    }

    function UpdateMBCUsingModalData() {
        $('#ContentPlaceHolder1_tdv_ModelShortName').val($(modelDD).select2('data')[0] != null ? $(modelDD).select2('data')[0].text : "");
        $('#ContentPlaceHolder1_tdv_BrandShortName').val($(brandDD).select2('data')[0] != null ? $(brandDD).select2('data')[0].text : "");
        $('#ContentPlaceHolder1_tdv_CategoryShortName').val($(categoryDD).select2('data')[0] != null ? $(categoryDD).select2('data')[0].text : "");

        pageLoadMBCData = [];
        pageLoadMBCData.push($(modelDD).val());
        pageLoadMBCData.push($(brandDD).val());
        pageLoadMBCData.push($(categoryDD).val());

        $('#ContentPlaceHolder1_tdv_ModalSelectModelValue').val($(modelDD).val());
        $('#ContentPlaceHolder1_tdv_ModalSelectBrandValue').val($(brandDD).val());
        $('#ContentPlaceHolder1_tdv_ModalSelectCategoryValue').val($(categoryDD).val());

        $("#MBCModal").modal("hide");
    }
</script>

<div id="modalContainer" runat="server"><!-- line modal -->
<div class="modal fade" id="MBCModal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
            </div>
            <div class="modal-body">
                <!-- content goes here -->
                <form>
                    <div class="form-group">
                        <strong>
                            <asp:Label runat="server" ID="modelLabel"></asp:Label></strong>
                        <select id="modelSelectDD" runat="server"></select>
                    </div>
                    <div class="form-group">
                        <strong>
                            <asp:Label runat="server" ID="brandLabel"></asp:Label></strong>
                        <select id="brandSelectDD" runat="server"></select>
                    </div>
                    <div class="form-group">
                        <strong>
                            <asp:Label runat="server" ID="categoryLabel"></asp:Label></strong>
                        <select id="categorySelectDD" runat="server"></select>
                    </div>
                </form>

            </div>
            <div class="modal-footer">
                <div class="btn-group btn-group-justified" role="group" aria-label="group button">
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-primary" data-dismiss="modal" role="button">Close</button>
                    </div>
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-primary" onclick="ClearMBCDD();" role="button">Clear</button>
                    </div>
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-primary" onclick="UpdateMBCUsingModalData();" role="button">Update</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
