﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SLPSSelector.ascx.cs" Inherits="eQuipCloud.WardUser.Module.SLPSSelector" %>

<style>
    .modal-footer {
        padding: 0;
    }

        .modal-footer .btn-group button {
            height: 40px;
            border-top-left-radius: 0;
            border-top-right-radius: 0;
            border: none;
            border-right: 1px solid #ddd;
        }

        .modal-footer .btn-group:last-child > button {
            border-right: 0;
        }
</style>

<script>
    var SiteDD;
    var LocationDD;
    var ProviderDD;
    var ServiceDD;

    var originalData = [];

    $(document).ready(function () {

        SiteDD = $('#<%=siteSelectDD.ClientID%>');
        LocationDD = $('#<%=locationSelectDD.ClientID%>');
        ProviderDD = $('#<%=providerSelectDD.ClientID%>');
        ServiceDD = $('#<%=serviceSelectDD.ClientID%>');

        originalData.push($(SiteDD).val());
        originalData.push($(LocationDD).val());
        originalData.push($(ProviderDD).val());
        originalData.push($(ServiceDD).val());

        UpdateUsingModalData();

        //Site Select
        $(SiteDD).on('select2:select', function (evt) {
            UpdateLocationData();
        });
        $(SiteDD).on('select2:unselect', function (evt) {
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateLocationDropDownData",
                data: '{partCode: "' + "" + '" }',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateLocationDropDownData
            });
        });

        //Location Select
        $(LocationDD).on('select2:select', function (evt) {
            $(SiteDD).attr("disabled", true);
            $(ProviderDD).attr("disabled", true);
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateSiteProviderServiceDropDownData",
                data: '{LocationId: "' + $(LocationDD).val() + '" }',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateSiteProviderServiceDropDownData
            });
        });
        $(LocationDD).on('select2:unselect', function (evt) {
            $(SiteDD).attr("disabled", false);
            $(ProviderDD).attr("disabled", false);
        });


        //Provider Select
        $(ProviderDD).on('select2:select', function (evt) {
            UpdateBranchData();
        });
        $(ProviderDD).on('select2:unselect', function (evt) {
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateBranchDropDownData",
                data: '{partCode: "' + " " + '" }',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateBranchDropDownData
            });
        });
        //Branch Select
        $(ServiceDD).on('select2:select', function (evt) {
            $(ProviderDD).attr("disabled", true);
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateProviderDropDownValue",
                data: '{serviceId: "' + $(ServiceDD).val() + '" }',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (res) {
                    $(ProviderDD).val(res.d).trigger('change');
                }
            });
        });
        $(ServiceDD).on('select2:unselect', function (evt) {
            $(ProviderDD).attr("disabled", false);
        });
    });


    function UpdateLocationDropDownData(response) {
        $(LocationDD).empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $(LocationDD).append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }
    function UpdateSiteDropDownData(response) {
        $(SiteDD).empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $(SiteDD).append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }
    function UpdateBranchDropDownData(response) {
        $(ServiceDD).empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $(ServiceDD).append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }
    function UpdateProviderDropDownData(response) {
        $(ProviderDD).empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $(ProviderDD).append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }

    function UpdateSiteProviderServiceDropDownData(response) {

        if (response.d[0]) {
            $(SiteDD).val(response.d[0]).trigger('change');
        }
        else {
            $(SiteDD).val("").trigger('change');
        }
        if ($(ServiceDD).val() !== response.d[2]) {
            if (response.d[2] == "") {
                $(ProviderDD).val('').trigger('change');
                $(ProviderDD).attr("disabled", false);
                $(ServiceDD).val('').trigger('change');
                $(ServiceDD).attr("disabled", false);
            }
            else if (confirm("Changing Locations will also change Service and Provider.\nClick Ok to update these values.")) {
                if (response.d[1]) {
                    $(ProviderDD).val(response.d[1]).trigger('change');
                }
                else {
                    $(ProviderDD).val("").trigger('change');
                }
                if (response.d[2]) {
                    $(ServiceDD).val(response.d[2]).trigger('change');
                }
                else {
                    $(ServiceDD).val("").trigger('change');
                }
            }
        }

        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateBranchDropDownData",
            data: '{partCode: "' + $(ProviderDD).val() + '" }',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateBranchDropDownData
        });
    }

    function UpdateBranchData() {
        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateBranchDropDownData",
            data: '{partCode: "' + $(ProviderDD).val() + '" }',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateBranchDropDownData
        });
    }

    function UpdateLocationData() {
        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateLocationDropDownData",
            data: '{partCode: "' + $(SiteDD).val() + '" }',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateLocationDropDownData
        });
    }

    function ClearDD() {
        $(SiteDD).attr("disabled", false);
        $(LocationDD).attr("disabled", false);
        $(ProviderDD).attr("disabled", false);
        $(ServiceDD).attr("disabled", false);

        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateSiteDropDownData",
            data: '{partCode: "' + " " + '" }',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateSiteDropDownData
        });
        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateLocationDropDownData",
            data: '{partCode: "' + " " + '" }',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateLocationDropDownData
        });
        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateBranchDropDownData",
            data: '{partCode: "' + " " + '" }',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateBranchDropDownData
        });
        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateProviderDropDownData",
            data: '{partCode: "' + " " + '" }',
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateProviderDropDownData
        });         
    }

    function OpenModal() {
        $(SiteDD).val(originalData[0]).trigger('change');
        $(LocationDD).val(originalData[1]).trigger('change');
        $(ProviderDD).val(originalData[2]).trigger('change');
        $(ServiceDD).val(originalData[3]).trigger('change');

        $(SiteDD).attr("disabled", true);
        $(ProviderDD).attr("disabled", true);
        UpdateBranchData();

        $("#squarespaceModal").modal();
    }

    function UpdateUsingModalData() {
        $('#ContentPlaceHolder1_tdv_SiteShortName').val($(SiteDD).select2('data')[0] != null ? $(SiteDD).select2('data')[0].text : "");
        $('#ContentPlaceHolder1_tdv_LocationShortName').val($(LocationDD).select2('data')[0] != null ? $(LocationDD).select2('data')[0].text : "");
        $('#ContentPlaceHolder1_tdv_OrganisationShortName').val($(ProviderDD).select2('data')[0] != null ? $(ProviderDD).select2('data')[0].text : "");
        $('#ContentPlaceHolder1_tdv_BranchShortName').val($(ServiceDD).select2('data')[0] != null ? $(ServiceDD).select2('data')[0].text : "");

        originalData = [];
        originalData.push($(SiteDD).val());
        originalData.push($(LocationDD).val());
        originalData.push($(ProviderDD).val());
        originalData.push($(ServiceDD).val());

        $('#ContentPlaceHolder1_tdv_ModalSelectSiteValue').val($(SiteDD).val());
        $('#ContentPlaceHolder1_tdv_ModalSelectLocationValue').val($(LocationDD).val());
        $('#ContentPlaceHolder1_tdv_ModalSelectProviderValue').val($(ProviderDD).val());
        $('#ContentPlaceHolder1_tdv_ModalSelectServiceValue').val($(ServiceDD).val());

        $("#squarespaceModal").modal("hide");
    }
</script>

<div id="modalContainer" runat="server"><!-- line modal -->
<div class="modal fade" id="squarespaceModal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
            </div>
            <div class="modal-body">
                <!-- content goes here -->
                <form>
                    <div class="form-group">
                        <strong>
                            <asp:Label runat="server" ID="siteLabel"></asp:Label></strong>
                        <select id="siteSelectDD" runat="server"></select>
                    </div>
                    <div class="form-group">
                        <strong>
                            <asp:Label runat="server" ID="locationLabel"></asp:Label></strong>
                        <select id="locationSelectDD" runat="server"></select>
                    </div>
                    <div class="form-group">
                        <strong>
                            <asp:Label runat="server" ID="providerLabel"></asp:Label></strong>
                        <select id="providerSelectDD" runat="server"></select>
                    </div>
                    <div class="form-group">
                        <strong>
                            <asp:Label runat="server" ID="serviceLabel"></asp:Label></strong>
                        <select id="serviceSelectDD" runat="server"></select>
                    </div>
                </form>

            </div>
            <div class="modal-footer">
                <div class="btn-group btn-group-justified" role="group" aria-label="group button">
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-primary" data-dismiss="modal" role="button">Close</button>
                    </div>
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-primary" onclick="ClearDD();" role="button">Clear</button>
                    </div>
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-primary" onclick="UpdateUsingModalData();" role="button">Update</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
