﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SparePartSelector.ascx.cs" Inherits="eQuipCloud.WardUser.Module.SparePartSelector" %>

<style>
    .modal-header {
        padding: 0px;
        padding-top: 10px;
        padding-right: 10px;
    }

    .modal-body {
        padding: 0px;
    }

    .panel-eQuip > .panel-heading {
        background: #337ab7;
        color: white;
        border-radius: 0px;
    }

    .panel-eQuip > .panel-body {
        padding: 10px;
    }

    .modal.modal-wide .modal-dialog {
        width: 75%;
    }

    .modal-wide .modal-body {
        overflow-y: auto;
    }

    .pagination-detail {
        padding-left: 10px
    }

    .pagination {
        padding-right: 5px
    }

    .modal-footer {
        padding: 0;
    }

        .modal-footer .btn-group button {
            height: 40px;
            border-top-left-radius: 0;
            border-top-right-radius: 0;
            border: none;
            border-right: 1px solid #ddd;
        }

        .modal-footer .btn-group:last-child > button {
            border-right: 0;
        }
</style>

<script>
    var billableBool, RecommendStockBool;
    $(document).ready(function () {
        LoadMainSparePartsTable();

        $('#SearchSparePartsTable').bootstrapTable({
            formatNoMatches: function () {
                return 'No assets found that match your search query.';
            },
        });

        $('#SearchSparePartsTable').bootstrapTable('hideColumn', 'StockCount');
        $('#SearchSparePartsTable').bootstrapTable('hideColumn', 'SparePartCategory');

        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/GetDataForSparePartBudgetDD",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateSparePartBudgetDD
        });

        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/GetDataForSparePartStatusDD",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateSparePartStatusDD
        });
        billableBool = false; RecommendStockBool = false;
        $('#RecommendStock').click(function () {
            RecommendStockBool = !RecommendStockBool;
        });
        $('#Billable').click(function () {
            billableBool = !billableBool;
        });

        $('#SearchSparePartsTable').on('click-row.bs.table', function (e, row, $element) {
            $('#StockPartCode').val(row.SparePartCode);
            $('#StockPartSerialNumber').val(row.SparePartSerialNumber);
            $('#StockPartDescription').val(row.SparePartName);

            $('#<%=SparePartId.ClientID%>').val(row.SparePartId).trigger('change');
            $('#CustomEntryFields').collapse('show');

            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/GetDataForSparePartBinDD",
                data: JSON.stringify({ SparePartId: $('#<%=SparePartId.ClientID%>').val() }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateSparePartLocationDD
            });

            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/GetDataForSparePart",
                data: JSON.stringify({ SparePartId: $('#<%=SparePartId.ClientID%>').val() }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateSparePartData
            });
        });
    });
    var SparePartIdBeingEdited //Id of selected part when Editing;
    function LoadMainSparePartsTable() {
        $('#SparePartOverviewTable').bootstrapTable('destroy');
        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/GetDataForSparePartOverviewTable",
            data: JSON.stringify({ JobId: $('#<%=JobIdHF.ClientID%>').val() }),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                $(response.d).each(function () {
                    if (this.DateUsed) { this.DateUsed = ToJavaScriptDate(this.DateUsed); }
                });
                $('#SparePartOverviewTable').bootstrapTable({
                    data: response.d,
                    formatNoMatches: function () {
                        return 'No Spare Parts.';
                    },
                });
            }
        });
        $('#SparePartOverviewTable').on('click-row.bs.table', function (e, row, $element) {
            ClearSPAdd();
            CalculateSparePartCost();
            OpenSparePartAddModal();
            SparePartIdBeingEdited = row.SparePartJobId;
            $('#AddStockPartTab').hide();
            $('#AddNonStockPartTab').hide();
            if (row.SparePartId) {
                $('#AddStockPartTab').click();
                $('#AddEditStockTitle').text("Make sure to click Update Part to confirm.");
                $('#SparePartSearching').hide();

                $.ajax({
                    type: "POST",
                    url: "WebCalls/TabbedDetailsViewWebService.asmx/GetDataForSparePartBinDD",
                    data: JSON.stringify({ SparePartId: row.SparePartId }),
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (response) {
                        UpdateSparePartLocationDD(response);
                        $('#sparePartBinSelectDD').val(row.SparePartLocationId).trigger('change');
                        $('#StockPartCode').val(row.SparePartCode).trigger('change');
                        $('#StockPartSerialNumber').val(row.PartNo).trigger('change');
                        $('#StockPartDescription').val(row.SparePartShortName).trigger('change');
                    }
                });
            }
            else {
                $('#AddNonStockPartTab').click();
                $('#AddEditNonStockTitle').text("Make sure to click Update Part to confirm.");
                $('#NonStockPartName').val(row.SparePartShortName).trigger('change');
            }

            $('#sparePartQuantity').val(row.Quantity).trigger('change');
            $('#sparePartNet').val(row.UnitPrice).trigger('change');
            $('#sparePartVat').val(row.UnitPriceVAT).trigger('change');
            $('#OrderNumber').val(row.OrderNo).trigger('change');
            $('#Notes').val(row.Notes).trigger('change');
            $('#sparePartDatePicker').val(row.DateUsed).trigger('change');
            $('#budgetSelectDD').val(row.BudgetId).trigger('change');
            $('#sparePartStatusSelectDD').val(row.SparePartJobStatusId).trigger('change');
            $('#RecommendStock').prop('checked', row.RecommendStock).trigger('change');
            $('#Billable').prop('checked', row.Billable).trigger('change');

            $('#AddNewPartButtons').hide();
            $('#EditRemovePartButtons').show();
        });
    }
    function ToJavaScriptDate(value) {
        var pattern = /Date\(([^)]+)\)/;
        var results = pattern.exec(value);
        var dt = new Date(parseFloat(results[1]));
        return dt.getDate() + "/" + (dt.getMonth() + 1) + "/" + dt.getFullYear();
    }
    function OpenSparePartAddModal() {
        SparePartIdBeingEdited = null;
        $('#AddStockPartTab').show();
        $('#AddNonStockPartTab').show();
        $('#NonStockPartName').attr('readonly', false);
        $('#AddNewPartButtons').show();
        $('#EditRemovePartButtons').hide();
        $('#SparePartSearching').show();
        $('#AddEditStockTitle').text("This is for a Part stocked via eQuip. Simply search for the Part and click to select it. \n Make sure to click Add Part to confirm.");
        $('#AddEditNonStockTitle').text("This is for a Part which is not stocked via eQuip. Simply enter the Name of the Item below. \n Make sure to click Add Part to confirm.");
        $('#SparePartAddModal').modal();
    }
    function ClearSearchForAsset() {
        $('#<%=Searchbox.ClientID%>').val('');
        SearchForAsset();
    }
    function SearchForAsset() {
        $('#<%=SearchParam.ClientID%>').val($('#<%=Searchbox.ClientID%>').val()).trigger('change');
        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/SearchForSpareParts",
            data: JSON.stringify({ searchParam: $('#<%=Searchbox.ClientID%>').val() }),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: UpdateSearchTable
        });
    }
    function UpdateSearchTable(response) {
        $('#SearchSparePartsTable').bootstrapTable('destroy');
        $('#SearchSparePartsTable   ').bootstrapTable({
            data: response.d,
            formatNoMatches: function () {
                return 'No assets found that match your search query.';
            },
        });
        $('#SearchSparePartsTable').bootstrapTable('hideColumn', 'StockCount');
        $('#SearchSparePartsTable').bootstrapTable('hideColumn', 'SparePartCategory');
    }
    function UpdateSparePartLocationDD(response) {
        $('#sparePartBinSelectDD').empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $('#sparePartBinSelectDD').append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }
    function UpdateSparePartBudgetDD(response) {
        $('#budgetSelectDD').empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $('#budgetSelectDD').append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }
    function UpdateSparePartStatusDD(response) {
        $('#sparePartStatusSelectDD').empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $('#sparePartStatusSelectDD').append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }
    function UpdateSparePartData(response) {
        $('#sparePartNet').val(response.d.EffectivePrice).trigger('change');
        $('#sparePartVat').val(response.d.EffectivePriceVAT).trigger('change');
    }
    function CalculateSparePartCost() {
        var net = $('#sparePartNet').val();
        var vat = $('#sparePartVat').val();
        if (net && !vat) {
            vat = 20; $('#sparePartVat').val(20);
        }

        var quantity = $('#sparePartQuantity').val();
        var totalGross = $('#sparePartTotalGross');
        var gross = $('#sparePartGross');

        if (net != '' && vat != '') {
            $(gross).val(net * (1 + (vat / 100)).toFixed(2));
            $(totalGross).val((net * (1 + (vat / 100)) * quantity).toFixed(2));
        }
    }
    function AddSparePartToJob() {
        var SparePartItem = {
            "SparePartJobId": SparePartIdBeingEdited,
            "SparePartId": $('#<%=SparePartId.ClientID%>').val(),
            "NonStockPart": $('#NonStockPartName').val(),
            "SparePartCode": $('#StockPartCode').val(),
            "PartNo": $('#StockPartSerialNumber').val(),
            "SparePartLocationId": $('#sparePartBinSelectDD').val(),
            "Bin": $('#sparePartBinSelectDD>option:selected').html(),
            "Quantity": $('#sparePartQuantity').val(),
            "UnitPrice": $('#sparePartNet').val(),
            "UnitPriceVAT": $('#sparePartVat').val(),
            "OrderNo": $('#OrderNumber').val(),
            "Notes": $('#Notes').val(),
            "DateUsed": new Date($('#sparePartDatePicker').val().split('/')[2], $('#sparePartDatePicker').val().split('/')[1] - 1, $('#sparePartDatePicker').val().split('/')[0]),
            "BudgetId": $('#budgetSelectDD').val(),
            "BudgetShortName": $('#budgetSelectDD>option:selected').html(),
            "SparePartJobStatusId": $('#sparePartStatusSelectDD').val(),
            "SparePartJobStatusShortName": $('#sparePartStatusSelectDD>option:selected').html(),
            "RecommendStock": RecommendStockBool,
            "Billable": billableBool
        }
        var jobId = $('#<%=JobIdHF.ClientID%>').val();

        var tab = $('#sparePartAddTabs li.active').children('a').attr('href');

        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/AddSparePartToJob",
            data: JSON.stringify({ SparePart: SparePartItem, JobId: jobId, StockPart: (tab == "#tabAddStockPart") }),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function () {
                $('#SparePartAddModal').modal("hide");
                ClearSPAdd();
                LoadMainSparePartsTable();
            }
        });
    }

    function RemoveSparePartFromJob() {
        var jobId = $('#<%=JobIdHF.ClientID%>').val();
        if (confirm("Are you sure you would like to remove this Spare Part from the Job?")) {
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/RemoveSparePartFromJob",
                data: JSON.stringify({ SparePartJobId: SparePartIdBeingEdited }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function () {
                    $('#SparePartAddModal').modal("hide");
                    ClearSPAdd();
                    LoadMainSparePartsTable();
                }
            });
        }
    }
    function ClearSPAdd() {
        $('#NonStockPartName').val("").trigger('change');
        $('#sparePartBinSelectDD').val("").trigger('change');
        $('#sparePartQuantity').val("").trigger('change');
        $('#sparePartNet').val("").trigger('change');
        $('#sparePartVat').val("").trigger('change');
        $('#sparePartGross').val("").trigger('change');
        $('#OrderNumber').val("").trigger('change');
        $('#Notes').val("").trigger('change');
        $('#sparePartDatePicker').val("").trigger('change');
        $('#budgetSelectDD').val("").trigger('change');
        $('#sparePartStatusSelectDD').val("").trigger('change');
        $('#RecommendStock').val("").trigger('change');
        $('#Billable').val("").trigger('change');
    }
</script>

<asp:HiddenField ID="SearchParam" runat="server" />
<asp:HiddenField ID="SparePartId" runat="server" />
<asp:HiddenField ID="JobIdHF" runat="server" />

<div runat="server">

<%--    <div class="mainToolbar">
        <a href="#" onclick="OpenSparePartAddModal()" class="btn btn-success"><span class="glyphicon glyphicon-plus"></span>&nbsp; Add Part</a>
    </div>--%>
    <table id="SparePartOverviewTable" data-striped="true" data-toolbar=".mainToolbar" data-cookie="true" data-cookie-id-table="SparePartsTableCookie">
        <thead style="background-color: cornflowerblue; color: white;">
            <tr>
                <asp:PlaceHolder ID="SparePartsOverviewTableColumns" runat="server"></asp:PlaceHolder>
            </tr>
        </thead>
    </table>

    <!-- line modal -->
    <div class="modal modal-wide fade" id="SparePartAddModal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
        <div class="modal-dialog ">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>
                    <div class="tabbable-panel">
                        <div class="tabbable-line">
                            <ul class="nav nav-tabs" id="sparePartAddTabs">
                                <li class="active"><a id="AddStockPartTab" href="#tabAddStockPart" data-toggle="tab">Add Stock Part </a></li>
                                <li><a id="AddNonStockPartTab" href="#tabAddNonStockPart" data-toggle="tab">Add Non Stock Part </a></li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div class="modal-body">
                    <div class="tab-content">
                        <div class="tab-pane active" id="tabAddStockPart">
                            <div class="panel panel-eQuip">
                                <div class="panel-heading" id="AddEditStockTitle">
                                    Adding a Stock Part to the Job. Please select the Part via the Equipment or Serial Number below.
                                              <br />
                                    Make sure to click Add Part to confirm.
                                </div>
                                <div class="panel-body">
                                    <div id="SparePartSearching">
                                    <div class="toolbar">
                                        <div class="input-group">
                                            <span class="input-group-addon" runat="server" id="SearchBarTitle">Search For Part: </span>
                                            <input id="Searchbox" runat="server" type="text" class="form-control" name="" placeholder="Search for Part">
                                            <span class="input-group-btn">
                                                <button class="btn btn-default" type="button" onclick="SearchForAsset()"><span class="glyphicon glyphicon-search"></span>&nbsp;<asp:Label runat="server" ID="SearchButtonText"></asp:Label></button>
                                                <button class="btn btn-default" type="button" onclick="ClearSearchForAsset()"><span class="glyphicon glyphicon-remove"></span>&nbsp;<asp:Label runat="server" ID="ClearSearchButtonText"></asp:Label></button>
                                            </span>
                                        </div>
                                    </div>
                                    <table id="SearchSparePartsTable" data-striped="true" data-toolbar=".toolbar" data-pagination="true" data-page-size="5">
                                        <thead style="background-color: cornflowerblue; color: white">
                                            <tr>
                                                <th class="col-lg-2" data-field="SparePartCode" data-sortable="true" data-filter-control="select">Equipment Code</th>
                                                <th class="col-lg-2" data-field="SparePartSerialNumber" data-sortable="true" data-filter-control="select">Serial Number</th>
                                                <th class="col-lg-8" data-field="SparePartName" data-sortable="true" data-filter-control="select">Description</th>
                                                <th class="col-lg-4" data-field="SparePartCategory" data-sortable="true" data-filter-control="select">Category</th>
                                                <th class="col-lg-6" data-field="StockCount" data-sortable="true" data-filter-control="select">Stock Count</th>
                                            </tr>
                                        </thead>
                                    </table>
                                        </div>
                                    <div class="input-group" style="padding-top: 5px">
                                        <span class="input-group-addon">Part Code:</span>
                                        <input type="text" class="form-control" id="StockPartCode" readonly>
                                        <span class="input-group-addon">Part No:</span>
                                        <input type="text" class="form-control" id="StockPartSerialNumber" readonly>
                                        <span class="input-group-addon">Description:</span>
                                        <input type="text" class="form-control" id="StockPartDescription" readonly>
                                    </div>
                                    <div class="input-group" style="padding-top: 5px">
                                        <span class="input-group-addon">Bin Location:</span>
                                        <select id="sparePartBinSelectDD" class="form-control"></select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" id="tabAddNonStockPart">
                            <div class="panel panel-eQuip">
                                <div class="panel-heading" id="AddEditNonStockTitle">
                                    Adding a Non Stock Part to the Job. This is for a Part which is not stocked via eQuip. Simply enter the Name of the Item below.
                                              <br />
                                    Make sure to click Add Part to confirm.
                                </div>
                                <div class="panel-body">
                                    <div class="input-group" style="padding-top: 5px">
                                        <span class="input-group-addon">Part Name:</span>
                                        <input type="text" class="form-control" id="NonStockPartName">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel panel-eQuip">
                        <div class="panel-heading">
                        </div>
                        <div class="panel-body">
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblUnitPrice" runat="server" Text="Unit Price" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group" id="priceBarForm" runat="server">
                                            <div class='input-group' id='priceBar'>
                                                <input id="sparePartNet" class="form-control shrinkableplaceholders" type="number" onchange="CalculateSparePartCost()" />
                                                <span class="input-group-addon"><i class="glyphicon glyphicon-plus"></i></span>
                                                <input id="sparePartVat" class="form-control shrinkableplaceholders" type="number" onchange="CalculateSparePartCost()" />
                                                <span class="input-group-addon Shrinkable">%</span>
                                                <span class="input-group-addon"><i class="fa fa-caret-right"></i></span>
                                                <input id="sparePartGross" class="form-control shrinkableplaceholders" readonly onchange="CalculateSparePartCost()" />
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblSparePartQuantity" runat="server" Text="Quantity" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group" id="Div2" runat="server">
                                            <input id="sparePartQuantity" type="number" class="form-control" onchange="CalculateSparePartCost()" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblTotalGross" runat="server" Text="Total Gross" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group" id="Div1" runat="server">
                                            <input id="sparePartTotalGross" class="form-control" placeholder="Modify Quantity and Cost to Update" readonly />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="Label1" runat="server" Text="Order Num" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input ID="OrderNumber" class="form-control" placeholder="Enter order number..."></input>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblDateUsed" runat="server" Text="Order Date" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <div class="form-group">
                                            <div class='input-group date'>
                                                <input type='text' class="form-control datePicker" name="DateUsed" ID="sparePartDatePicker" placeholder="Enter Date"/>
                                                <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblBudgetShortName" runat="server" Text="Budget" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <select id="budgetSelectDD" class="select-two-dd" style="width: 100%;"></select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblSparePartJobStatusShortName" runat="server" Text="Part Status" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <select id="sparePartStatusSelectDD" class="select-two-dd" style="width: 100%;"></select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblRecommendStock" runat="server" Text="Recommend Stock" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="checkbox" id="RecommendStock" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblBillable" runat="server" Text="Billable" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <input type="checkbox" id="Billable" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-6 voffset2">
                                <div class="row">
                                    <div class="col-sm-3 smaller lblpad">
                                        <asp:Label ID="lblNotes" runat="server" Text="Notes" CssClass="control-label"></asp:Label>
                                    </div>
                                    <div class="col-sm-8">
                                        <textarea id="Notes" class="form-control" placeholder="Enter Notes" cols="40" rows="5"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
<%--                    <div class="btn-group btn-group-justified" role="group" aria-label="group button" id="AddNewPartButtons">
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary" data-dismiss="modal" role="button">Close</button>
                        </div>
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary" onclick="ClearSPAdd();" role="button">Clear</button>
                        </div>
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary" onclick="AddSparePartToJob();" role="button">Add Part</button>
                        </div>
                    </div>
                    <div class="btn-group btn-group-justified" role="group" aria-label="group button" id="EditRemovePartButtons">
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary" data-dismiss="modal" role="button">Close</button>
                        </div>
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary" onclick="ClearSPAdd();" role="button">Clear</button>
                        </div>

                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary" onclick="RemoveSparePartFromJob();" role="button">Remove Part</button>
                        </div>
                        <div class="btn-group" role="group">
                            <button type="button" class="btn btn-primary" onclick="AddSparePartToJob();" role="button">Update Part</button>
                        </div>
                    </div>--%>
                </div>
            </div>
        </div>
    </div>
</div>
