﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TabbedDetailsView.ascx.cs" Inherits="eQuipCloud.Core.Module.TabbedDetailsView" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>
<%@ Register TagName="DateTimeControl" TagPrefix="Tag" Src="DateTimeControl.ascx" %>

<ig:WebScriptManager ID="WebScriptManager1" runat="server">
</ig:WebScriptManager>

<script>
    //sets the infragistics dropdown width - workaround for the bug where the dropdown itself has no width. 
    function DropDownOpeningHandler(sender, args) {
        var w = sender.get_element().offsetWidth;
        sender._elements["DropDown"].parentNode.style.width = w + "px";
        sender._elements["DropDown"].style.width = "95%";
        sender._elements["List"].parentNode.style.width = "100%";
    }

    var siteDD, locationDD, providerDD, branchDD, modelDD, categoryDD, brandDD;

    $(document).ready(function () {

        $(".shrinkableplaceholders").each(function (index) {
            arrayOfPlaceholders.push(this.placeholder);
            CheckSizesPlaceholders(this, index);
        });
        $(".Shrinkable").each(function (index) {
            CheckSizes(this, index);
        });

        $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/SaveTabCookie",
                data: JSON.stringify({ page: document.location.href.match(/[^\/]+$/)[0], tab: $(e.target).attr('href') }),
                contentType: "application/json; charset=utf-8",
                dataType: "json"
            });
        });

        $(".select-two-dd").select2({
            placeholder: "",
            allowClear: true,
            minimumResultsForSearch: 10
        });

        $.ajax({
            type: "POST",
            url: "WebCalls/TabbedDetailsViewWebService.asmx/GetTabCookie",
            data: JSON.stringify({ page: document.location.href.match(/[^\/]+$/)[0] }),
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (response) {
                $('.nav-tabs a[href="#' + response.d + '"]').tab('show');
            }
        });

        BudgetDD = $('#ContentPlaceHolder1_tdv_BudgetShortName');
        callerLocationDD = $('#ContentPlaceHolder1_tdv_CallerLocation');
        callerSiteDD = $('#ContentPlaceHolder1_tdv_CallerSite');
        CustomerDD = $('#ContentPlaceHolder1_tdv_CustomerShortName');
        CustomerDD = $('#ContentPlaceHolder1_tdv_CustomerShortName');
        EquipmentDD = $('#ContentPlaceHolder1_tdv_EquipmentCode');
        JobPriorityDD = $('#ContentPlaceHolder1_tdv_JobPriorityShortName');
        LastSeenDate = $('#ContentPlaceHolder1_tdv_LastSeenDate');
        PatientDD = $('#ContentPlaceHolder1_tdv_PatientName');
        PurchaseDate = $('#ContentPlaceHolder1_tdv_PurchaseDate');
        RBMConsequence = $('#ContentPlaceHolder1_tdv_RBM_RBMConsequence');
        RBMLikelihood = $('#ContentPlaceHolder1_tdv_RBM_RBMLikelihood');
        RiskLevelDD = $('#ContentPlaceHolder1_tdv_RiskLevelShortName');
        SerialNo = $('#ContentPlaceHolder1_tdv_SerialNo');
        SupportLevel = $('#ContentPlaceHolder1_tdv_SupportLevelShortName');
        TeamDD = $('#ContentPlaceHolder1_tdv_TeamShortName');
        TechnicianIdDD = $('#ContentPlaceHolder1_tdv_Technician');
        WarrantyEndsDate = $('#ContentPlaceHolder1_tdv_EquipmentWarrantyEnds');

        //Caller Site Select
        $(callerSiteDD).on('select2:select', function (evt) {
            $(callerLocationDD).val($(callerSiteDD).val()).trigger('change');
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateLocationDropDownData",
                data: '{partCode: "' + $(callerSiteDD).val() + '" }',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateCallerLocationDropDownData
            });
        });
        //Job Equipment Select
        $(EquipmentDD).on('select2:select', function (evt) {
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateJobPageData",
                data: '{partCode: "' + $(EquipmentDD).val() + '" }',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateJobPageData
            });
        });
        //Caller Site Unselect
        $(callerSiteDD).on('select2:unselect', function (evt) {
            $(callerLocationDD).val(null).trigger('change');
            $.ajax({
                type: "POST",
                url: "WebCalls/TabbedDetailsViewWebService.asmx/UpdateLocationDropDownData",
                data: '{partCode: "' + "" + '" }',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: UpdateCallerLocationDropDownData
            });
        });
    });

    function LoadStaticTable(tableId, tableData, tableNoResults) {
        $('#' + tableId).bootstrapTable({
            data: JSON.parse(tableData),
            formatNoMatches: function () {
                return tableNoResults;
            }
        });
    }
    function dateFormat(value, row, index) {
        if (value) {
            return moment(value).format('DD/MM/YYYY HH:mm');
        }
        else {
            return "-";
        }
    }

    function UpdateJobPageData(response) {
        if (response.d[0]) {
            $(SerialNo).val(response.d[0]).trigger('change');
        }
        if (response.d[1]) {
            $(brandDD).val(response.d[1]).trigger('change');
        }
        if (response.d[2]) {
            $(modelDD).val(response.d[2]).trigger('change');
        }
        if (response.d[3]) {
            $(categoryDD).val(response.d[3]).trigger('change');
        }
        if (response.d[4]) {
            $(providerDD).val(response.d[4]).trigger('change');
        }
        if (response.d[5]) {
            $(branchDD).val(response.d[5]).trigger('change');
        }
        if (response.d[6]) {
            $(siteDD).val(response.d[6]).trigger('change');
        }
        if (response.d[7]) {
            $(locationDD).val(response.d[7]).trigger('change');
        }
        if (response.d[8]) {
            $(SupportLevel).val(response.d[8]).trigger('change');
        }
        if (response.d[9]) {
            $(JobPriorityDD).val(response.d[9]).trigger('change');
        }
        if (response.d[10]) {
            $(PatientDD).val(response.d[10]).trigger('change');
        }
        if (response.d[11]) {
            $(TechnicianIdDD).val(response.d[11]).trigger('change');
        }
        if (response.d[12]) {
            $(LastSeenDate).val(response.d[12]).trigger('change');
        }
        if (response.d[13]) {
            $(WarrantyEndsDate).val(response.d[13]).trigger('change');
        }
        if (response.d[14]) {
            $(TeamDD).val(response.d[14]).trigger('change');
        } else {
            $(TeamDD).val(null).trigger('change');
        }
        if (response.d[15]) {
            $(BudgetDD).val(response.d[15]).trigger('change');
        } else {
            $(BudgetDD).val(null).trigger('change');
        }
        if (response.d[16]) {
            $(CustomerDD).val(response.d[16]).trigger('change');
        } else {
            $(CustomerDD).val(null).trigger('change');
        }
    }

    function UpdatePageData(response) {
        $(brandDD).val(response.BrandId).trigger('change');
        $(categoryDD).val(response.CategoryId).trigger('change');

        if (response.d[0]) {
            $(brandDD).val(response.d[0]).trigger('change');
        } else {
            $(brandDD).empty;
        }
        if (response.d[1]) {
            $(categoryDD).val(response.d[1]).trigger('change');
        } else {
            $(categoryDD).empty();
        }
        if (response.d[2]) {
            $(RiskLevelDD).val(response.d[2]).trigger('change');
        }
        if (response.d[3]) {
            $(RBMLikelihood).val(response.d[3]).trigger('change');
        }
        if (response.d[4]) {
            $(RBMConsequence).val(response.d[4]).trigger('change');
        }
    }

    function UpdateModelDropDownData(response) {
        $(modelDD).empty();
        $.each(JSON.parse(response.d), function (i, obj) {
            $(modelDD).append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }

    function UpdateCategoryDropDownData(response) {
        $(categoryDD).empty();
        $(categoryDD).prop("disabled", false);
        $.each(JSON.parse(response.d), function (i, obj) {
            $(categoryDD).append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }

    function UpdateBrandDropDownData(response) {
        $(branchDD).empty();
        $(branchDD).prop("disabled", false);
        $.each(JSON.parse(response.d), function (i, obj) {
            $(branchDD).append($('<option>').text(obj.DisplayName).attr('value', obj.Id));
        });
    }
</script>

<asp:HiddenField ID="hfCurrentView" runat="server" />
<asp:HiddenField runat="server" ID="ModalSelectSiteValue" />
<asp:HiddenField runat="server" ID="ModalSelectLocationValue" />
<asp:HiddenField runat="server" ID="ModalSelectProviderValue" />
<asp:HiddenField runat="server" ID="ModalSelectServiceValue" />

<asp:HiddenField runat="server" ID="ModalSelectModelValue" />
<asp:HiddenField runat="server" ID="ModalSelectBrandValue" />
<asp:HiddenField runat="server" ID="ModalSelectCategoryValue" />

<style type="text/css">
    /* this is required so the dropdown menus overlap any page content */

    .igdm_ControlVertical *, .igdm_ControlHorizontal * {
        z-index: 1;
    }
</style>

<!-- User Feedback -->
<asp:Panel ID="pnlUserFeedback" runat="server" Visible="false">
    <div class="row">
        <div class="col-lg-12">
            <div id="divAlert" runat="server" role="alert">
                <asp:Label ID="lblFeedback" runat="server" Text=""></asp:Label>
            </div>
        </div>
    </div>
</asp:Panel>

<!-- Save Button -->
<div class="row">
    <span style="float: right; margin-right: 15px; margin-bottom: 10px; margin-top: 10px;">
        <asp:LinkButton ID="btnSave" runat="server"
            Text="<i class='fa fa-floppy-o'></i> &nbsp; Save"
            CssClass="btn btn-primary" OnClick="btnSave_Click"></asp:LinkButton>
    </span>
</div>

<!--Detail-->
<div class="row">
    <div class="col-lg-12">
        <ul class="nav nav-tabs">
            <asp:PlaceHolder ID="phTab" runat="server"></asp:PlaceHolder>
        </ul>

        <div class="tab-content">
            <!-- Placeholder to hold the tab content -->
            <asp:PlaceHolder ID="phTabDetail" runat="server"></asp:PlaceHolder>
        </div>
    </div>
</div>

<!--Save Bottom -->
<div class="row">
    <span style="float: right; margin-right: 15px; margin-bottom: 10px; margin-top: 10px;">
        <asp:LinkButton ID="btnSaveBottom" runat="server"
            Text="<i class='fa fa-floppy-o'></i> &nbsp; Save"
            CssClass="btn btn-primary" OnClick="btnSave_Click"></asp:LinkButton>
    </span>
</div>

<script>
    var arrayOfPlaceholders = [];

    $(window).resize(function () {
        $(".Shrinkable").each(function (index) {
            CheckSizes(this, index);
        });
        $(".shrinkableplaceholders").each(function (index) {
            CheckSizesPlaceholders(this, index);
        });
    });

    function CheckSizes(item, index) {
        var width = window.innerWidth;
        var height = window.innerHeight;
        var VatSpan = item;

        if (width <= 1280) {
            lastCheckedWidth = width;
            VatSpan.innerHTML = "";
            VatSpan.style.padding = "0px 0px 0px 0px";
        } else if (width > 1280) {
            VatSpan.innerHTML = "<strong>%</strong>";
            VatSpan.style = "initial";
        }
    };

    function CheckSizesPlaceholders(item, index) {
        var width = window.innerWidth;
        var height = window.innerHeight;
        var VatSpan = item;

        if (width <= 1024) {
            lastCheckedWidth = width;
            VatSpan.placeholder = "";
        } else if (width > 1024) {
            VatSpan.placeholder = arrayOfPlaceholders[index];
        }
    };

</script>
