﻿﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="TasksSublistGrid.ascx.cs" Inherits="eQuipCloud.Core.Module.TasksSublistGrid" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v20.2, Version=20.2.20202.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.ListControls" TagPrefix="ig" %>
<%@ Register TagName="DateTimeControl" TagPrefix="Tag" Src="DateTimeControl.ascx" %>

<%@ Register Src="CustomPageControl.ascx" TagName="CustomPageControl" TagPrefix="uc1" %>

<style>
    .error {
        border: 2px solid red;
    }
</style>

<script id="Default Init">
    //sets the infragistics dropdown width - workaround for the bug where the dropdown itself has no width. 
    function DropDownOpeningHandler(sender, args) {
        var w = sender.get_element().offsetWidth;
        sender._elements["DropDown"].parentNode.style.width = w + "px";
        sender._elements["DropDown"].style.width = "100%";
        sender._elements["List"].parentNode.style.width = "100%";
    }

    $(document).ready(function () {
        $('<%=DeleteButton.ClientID %>').hide();
    });

        function compareTime(time1, time2) {
            return new Date(time1) > new Date(time2); // true if time1 is later
        }
</script>
<script id="Populate Fields">
    var selectedTasksDataKey = "";

    function onTasksRowSelectionChanged(sender, eventArgs) {
        var rows = eventArgs.getSelectedRows();
        var selectedRow = rows.getItem(0);
        selectedTasksDataKey = selectedRow.get_dataKey();

        var AddEditButton = document.getElementById('<%=AddEditButton.ClientID %>');
        AddEditButton.innerHTML = "<i class=\"glyphicon glyphicon-pencil\"></i> Edit Part";
        AddEditButton.className = "btn btn-warning";
        document.getElementById('<%= DeleteButton.ClientID %>').style.display = "initial";

        tasksEdit();
    }

    function tasksEdit() {
        if (!selectedTasksDataKey) {
            alert("Please select a row to edit a part");
        }
        else {
            var grid = $find('<%= grdSummary.ClientID %>');
            var rows = grid.get_rows();
            var row = rows.get_rowFromKey(selectedTasksDataKey);

            var JobTaskNo = document.getElementById('<%= JobTaskNo.ClientID%>');
            JobTaskNo.value = row.get_cellByColumnKey("JobTaskNo").get_text();
            var TaskDescription = document.getElementById('<%= Description.ClientID%>');
            TaskDescription.value = row.get_cellByColumnKey("JobTaskDescription").get_text();
            var StartDate = document.getElementById('<%= TaskStartDate.ClientID%>');
            StartDate.value = row.get_cellByColumnKey("TaskStartDate").get_text();
            var EndDate = document.getElementById('<%= TaskEndDate.ClientID%>');
            EndDate.value = row.get_cellByColumnKey("TaskEndDate").get_text();
            var HourlyRate = document.getElementById('<%= HourlyRate.ClientID%>');
            HourlyRate.value = row.get_cellByColumnKey("HourlyRate").get_text();
            var HourlyRateVAT = document.getElementById('<%= HourlyRateVAT.ClientID%>');
            HourlyRateVAT.value = row.get_cellByColumnKey("HourlyRateVAT").get_text();
            var TravelHours = document.getElementById('<%= TravelHours.ClientID%>');
            TravelHours.value = row.get_cellByColumnKey("TravelHours").get_text();
            var Mileage = document.getElementById('<%= Mileage.ClientID%>');
            Mileage.value = row.get_cellByColumnKey("Mileage").get_text();
            var Billable = document.getElementById('<%= Billable.ClientID%>');
            Billable.checked = row.get_cellByColumnKey("Billable").get_value();
            var Hours = document.getElementById('<%= Hours.ClientID%>');
            Hours.value = row.get_cellByColumnKey("Hours").get_text();

            //plagieuis
            $('#<%= DoneBy.ClientID %>').val(row.get_cellByColumnKey("DoneById").get_text()).trigger('change');
            $('#<%= JobTaskStatusShortName.ClientID %>').val(row.get_cellByColumnKey("JobTaskStatusId").get_text()).trigger('change');
            $('#<%= JobTaskTypeShortName.ClientID %>').val(row.get_cellByColumnKey("JobTaskTypeId").get_text()).trigger('change');

            CalculateHourlyRatePart();
        }
    }
</script>
<script id="Remove Row">
    function delTasks() {
        if (!selectedTasksDataKey) {
            alert("Please select a row to remove a part");
        }
        else {
            var grid = $find('<%= grdSummary.ClientID %>');
            var rows = grid.get_rows();
            var row = rows.get_rowFromKey(selectedTasksDataKey);
            rows.remove(row, false);
        }
    }
</script>
<script id="Clear Fields">
    function tasksClear() {
        document.forms[0].reset();

        var AddEditButton = document.getElementById('<%=AddEditButton.ClientID %>');
        AddEditButton.innerHTML = "<i class=\"glyphicon glyphicon-plus\"></i> Add Part";
        AddEditButton.className = "btn btn-success";

        document.getElementById('<%= DeleteButton.ClientID %>').style.display = "none";

        var grid = $find('<%= grdSummary.ClientID %>');
        grid.get_behaviors().get_selection().get_selectedRows().remove(grid.get_behaviors().get_selection().get_selectedRows().getItem(0));

        $('#<%= DoneBy.ClientID %>').val(null).trigger('change');
        $('#<%= JobTaskStatusShortName.ClientID %>').val(null).trigger('change');
        $('#<%= JobTaskTypeShortName.ClientID %>').val(null).trigger('change');
    }
</script>
<script id="Monetary Calculations">
    function CalculateHourlyRatePart() {
        var net = document.getElementById('<%= HourlyRate.ClientID %>').value;
        var vat = document.getElementById('<%= HourlyRateVAT.ClientID %>').value;
        var gross = document.getElementById('<%= HourlyRateOverall.ClientID %>');

        if (net != '' && vat != '') {
            gross.value = (net * (1 + (vat / 100))).toFixed(2);
        }
    }
</script>
<script id="Add New Row">
    function tasksAdd() {

        var jobId = document.getElementById('<%= hfJobId.ClientID%>').value;
        //straight values
        var TaskNo = document.getElementById('<%= JobTaskNo.ClientID%>').value;
        var TaskDescription = document.getElementById('<%= Description.ClientID%>').value;
        var Hours = document.getElementById('<%= Hours.ClientID%>').value;
        var HourlyRate = document.getElementById('<%= HourlyRate.ClientID%>').value;
        var HourlyRateVAT = document.getElementById('<%= HourlyRateVAT.ClientID%>').value;
        var TravelHours = document.getElementById('<%= TravelHours.ClientID%>').value;
        var Mileage = document.getElementById('<%= Mileage.ClientID%>').value;

        //dates
        var TaskStartDate = document.getElementById('<%= TaskStartDate.ClientID%>').value;
        var datePartsStart = TaskStartDate.split("/");
        var dateObjectStart = new Date(datePartsStart[2], datePartsStart[1] - 1, datePartsStart[0]);
        var TaskEndDate = document.getElementById('<%= TaskEndDate.ClientID%>').value;
        var datePartsEnd = TaskEndDate.split("/");
        var dateObjectEnd = new Date(datePartsEnd[2], datePartsEnd[1] - 1, datePartsEnd[0]);

        //bools        
        var Billable = document.getElementById('<%= Billable.ClientID%>').checked

        var grid = $find('<%= grdSummary.ClientID %>');
        var rows = grid.get_rows();
        
        if (!TaskNo) {
            TaskNo = -1;
        }
        if (!HourlyRate) {
            HourlyRate = -1;
        }
        if (!Hours) {
            Hours = -1;
        }
        if (!HourlyRateVAT) {
            HourlyRateVAT = -1;
        }
        if (!TravelHours) {
            TravelHours = -1;
        }
        if (!Mileage) {
            Mileage = -1;
        }        

        //drop down text
        var DoneBy = $('#<%=DoneBy.ClientID%> option:selected').text();
        var TaskStatus = $('#<%=JobTaskStatusShortName.ClientID%> option:selected').text();
        var TaskType = $('#<%=JobTaskTypeShortName.ClientID%> option:selected').text();

        //drop down values
        var PersonnelId = $('#<%=DoneBy.ClientID%> ').val();
        var JobTaskStatusId = $('#<%=JobTaskStatusShortName.ClientID%>').val();
        var JobTaskTypeId = $('#<%=JobTaskTypeShortName.ClientID%>').val();

        //tasksClear();
        var TaskId = document.getElementById('<%= hfTaskId.ClientID%>').value;
        var row = ['[' + selectedTasksDataKey + ']', jobId, TaskNo, TaskDescription, DoneBy, Hours, dateObjectStart, dateObjectEnd, TaskStatus, TaskType, HourlyRate, HourlyRateVAT, TravelHours, Mileage, Billable, PersonnelId, JobTaskStatusId, JobTaskTypeId];
        rows.add(row);
    }
</script>

<script id="Error Handling">

    bootstrap_alert = function () { }
    bootstrap_alert.taskWarning = function (message) {
        $('#alert_placeholder').html('<div class="alert alert-warning alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><span>' + message + '</span></div>')
    }

    var warnings = "<strong>Warning: </strong>";

    window.setInterval(function () {
        //Fields that need to be filled.
        warnings = "<strong>Warning: </strong>";
        var TaskDescription = document.getElementById('<%= Description.ClientID%>').value;
        var DoneBySelection = $('#<%=DoneBy.ClientID%>').val();

        if (!TaskDescription && !DoneBySelection) {
            warnings += "Please set a Technician Under \"Done By\" or a Task Description. ";            
        }
        var JobTaskNo = document.getElementById('<%= JobTaskNo.ClientID%>').value;
        if (isNaN(JobTaskNo)) {
            warnings += "Task Number must be Numerical. ";
        }
        var Hours = document.getElementById('<%= Hours.ClientID%>').value;
        if (isNaN(Hours)) {
            warnings += "Hours must be Numerical. ";
        }
        var HourlyRate = document.getElementById('<%= HourlyRate.ClientID%>').value;
        if (isNaN(HourlyRate)) {
            warnings += "Hourly Rate must be Numerical. ";
        }
        var HourlyRateVAT = document.getElementById('<%= HourlyRateVAT.ClientID%>').value;
        if (isNaN(HourlyRateVAT)) {
            warnings += "Hourly Rate VAT must be Numerical. ";
        }
        var TravelHours = document.getElementById('<%= TravelHours.ClientID%>').value;
        if (isNaN(TravelHours)) {
            warnings += "Travel Hours must be Numerical. ";
        }
        var Mileage = document.getElementById('<%= Mileage.ClientID%>').value;
        if (isNaN(Mileage)) {
            warnings += "Mileage must be Numerical. ";
        }

        var TaskStartDate = document.getElementById('<%= TaskStartDate.ClientID%>').value;
        var datePartsStart = TaskStartDate.split("/");
        var dateObjectStart = new Date(datePartsStart[2], datePartsStart[1] - 1, datePartsStart[0]);
        var TaskEndDate = document.getElementById('<%= TaskEndDate.ClientID%>').value;
        var datePartsEnd = TaskEndDate.split("/");
        var dateObjectEnd = new Date(datePartsEnd[2], datePartsEnd[1] - 1, datePartsEnd[0]);
        if (compareTime(dateObjectStart, dateObjectEnd)) {
            warnings += "Start date (" + TaskStartDate + ") cannot be after End Date (" + TaskEndDate + "). ";
        }

        if (warnings !== "<strong>Warning: </strong>") {
            $('#<%=AddEditButton.ClientID%>').prop('disabled', true);
            bootstrap_alert.taskWarning(warnings);
        }
        else {
            $('#alert_placeholder').html('');
            $('#<%=AddEditButton.ClientID%>').prop('disabled', false);
        }
    }, 500);
</script>

<asp:HiddenField ID="hfJobId" runat="server" Value="" />
<asp:HiddenField ID="hfTaskNoLength" runat="server" />
<asp:HiddenField ID="hfDoneByLength" runat="server" />
<asp:HiddenField ID="hfTaskStatusLength" runat="server" />
<asp:HiddenField ID="hfTaskTypeLength" runat="server" />
<asp:HiddenField ID="hfTaskId" runat="server" Value="1" />

<asp:Panel ID="AddPanelTasks" runat="server">
<div class="panel-group">
    <div class="panel panel-info">
        <div class="panel-heading">
            <h4 class="panel-title">
                <a data-toggle="collapse" href="#collapse2">
                    <span class="glyphicon glyphicon-minus"></span>
                    <asp:Label ID="Label2" runat="server" Font-Bold="true" Text="Add Task"></asp:Label>
                </a>
            </h4>
        </div>
        <div id="collapse2" class="panel-collapse collapse">
            <div class="panel-body">
                <div id="alert_placeholder"></div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblJobTaskNo" runat="server" Text="Task Num" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <asp:TextBox ID="JobTaskNo" CssClass="form-control" runat="server" placeholder="Enter Task Number here..."></asp:TextBox>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblDescription" runat="server" Text="Description" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <asp:TextBox ID="Description" CssClass="form-control" runat="server" placeholder="Enter description here..."></asp:TextBox>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblDoneBy" runat="server" Text="Done By" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <select id="DoneBy" runat="server" class="select-two-dd" style="width: 100%;"></select>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblHours" runat="server" Text="Hours" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <asp:TextBox ID="Hours" CssClass="form-control" runat="server" placeholder="Enter hours here..."></asp:TextBox>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblTaskStartDate" runat="server" Text="Start Date" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <div class="form-group">
                                <div class='input-group date' id='startDatePicker'>
                                    <asp:TextBox type='text' class="form-control datePicker" name="DateUsed" ID="TaskStartDate" placeholder="Enter Date" onchanged="datePickerChanged()" runat="server" value="" />
                                    <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblTaskEndDate" runat="server" Text="End Date" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <div class="form-group">
                                <div class='input-group date' id='endDatePicker'>
                                    <asp:TextBox type='text' class="form-control datePicker" name="DateUsed" ID="TaskEndDate" placeholder="Enter Date" onchanged="datePickerChanged()" runat="server" value="" />
                                    <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblJobTaskStatusShortName" runat="server" Text="Task Status" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <select id="JobTaskStatusShortName" runat="server" class="select-two-dd" style="width: 100%;"></select>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblJobTaskTypeShortName" runat="server" Text="Task Type" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <select id="JobTaskTypeShortName" runat="server" class="select-two-dd" style="width: 100%;"></select>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="Label3" runat="server" Text="Hourly Rate" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <div class="form-group" id="Div2" runat="server">
                                <div class='input-group' id='hourlyRateBar'>
                                    <span class="input-group-addon">
                                        <label id="currencyLabel" runat="server"></label>
                                    </span>
                                    <asp:TextBox ID="HourlyRate" class="form-control" runat="server" placeholder="Net" Text="" onchange="CalculateHourlyRatePart()"></asp:TextBox>
                                    <span class="input-group-addon"><i class="glyphicon glyphicon-plus"></i></span>
                                    <asp:TextBox ID="HourlyRateVAT" class="form-control" runat="server" placeholder="VAT" Text="" onchange="CalculateHourlyRatePart()"></asp:TextBox>
                                    <span class="input-group-addon Shrinkable">%</span>
                                    <span class="input-group-addon"><i class="fa fa-caret-right"></i></span>
                                    <asp:TextBox ID="HourlyRateOverall" class="form-control" runat="server" placeholder="Gross" ReadOnly="true"></asp:TextBox>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblTravelHours" runat="server" Text="Travel Hours" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <asp:TextBox ID="TravelHours" CssClass="form-control" runat="server" onchange="CalculateTotalGross()"></asp:TextBox>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblMileage" runat="server" Text="Mileage" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <asp:TextBox ID="Mileage" CssClass="form-control" runat="server" onchange="CalculateTotalGross()"></asp:TextBox>
                        </div>
                    </div>
                </div>
                <div class="col-sm-6 voffset2">
                    <div class="row">
                        <div class="col-sm-3 smaller lblpad">
                            <asp:Label ID="lblBillable" runat="server" Text="Billable" CssClass="control-label"></asp:Label>
                        </div>
                        <div class="col-sm-8">
                            <asp:CheckBox ID="Billable" runat="server" CssClass="form-control" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="panel-footer panel-warning">
                <div class="btn-group btn-group-justified">
                    <div class="btn-group" role="group">
                        <button type="button" id="DeleteButton" class="btn btn-danger" onclick="delTasks(); return false" runat="server" style="display: none"><i class="glyphicon glyphicon-remove-circle"></i>Remove</button>
                    </div>
                    <div class="btn-group" role="group">
                        <button type="button" class="btn btn-info" onclick="tasksClear(); return false" runat="server"><i class="glyphicon glyphicon-erase"></i>Clear</button>
                    </div>
                    <div class="btn-group" role="group">
                        <button type="button" id="AddEditButton" class="btn btn-success" onclick="tasksAdd(); return false" runat="server"><i class="glyphicon glyphicon-plus"></i>Add Part</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</asp:Panel>

<asp:UpdatePanel runat="server" ChildrenAsTriggers="true">
    <ContentTemplate>
        <ig:WebDataGrid
            ID="grdSummary"
            runat="server"
            DataSourceID="odsTask"
            Width="100%"
            DefaultColumnWidth="150px"
            AutoGenerateColumns="False"
            StyleSetName="Office2007Black"
            OnInitializeRow="grdSummary_InitializeRow"
            DataKeyFields="JobTaskId">
            <Behaviors>
                <ig:Selection RowSelectType="single" CellClickAction="Row">
                    <SelectionClientEvents RowSelectionChanged="onTasksRowSelectionChanged" />
                </ig:Selection>
                <ig:Sorting SortingMode="Single" Enabled="false" />
                <ig:EditingCore>
                    <Behaviors>
                        <ig:RowAdding>
                        </ig:RowAdding>
                        <ig:RowDeleting />
                    </Behaviors>
                </ig:EditingCore>
                <ig:RowSelectors>
                </ig:RowSelectors>
            </Behaviors>
        </ig:WebDataGrid>
    </ContentTemplate>
</asp:UpdatePanel>

<asp:ObjectDataSource ID="odsTask" runat="server" TypeName="eQuipCloud.Business.Service.Job.JobTasksService"
    SelectMethod="GetAllByJobId"
    OnSelecting="ods_TaskSelecting"
    DeleteMethod="DeleteJobTask"
    InsertMethod="AddJobTask">
    <SelectParameters>
        <asp:Parameter Name="JobId" Type="String" />
    </SelectParameters>
    <DeleteParameters>
        <asp:Parameter Name="JobTaskId" Type="String" />
    </DeleteParameters>
</asp:ObjectDataSource>
